svn commit: samba r18026 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Mon Sep 4 04:54:21 GMT 2006


Author: tridge
Date: 2006-09-04 04:54:20 +0000 (Mon, 04 Sep 2006)
New Revision: 18026

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18026

Log:

patch from Brad allowing the windows testing to be configured
externally in the build farm

Modified:
   branches/SAMBA_4_0/source/script/tests/test_win.sh
   branches/SAMBA_4_0/source/script/tests/tests_win.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_win.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-09-04 03:59:04 UTC (rev 18025)
+++ branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-09-04 04:54:20 UTC (rev 18026)
@@ -7,8 +7,10 @@
 # Copyright Brad Henry <brad at samba.org> 2006
 # Released under the GNU GPL v2 or later.
 
-. $WINTEST_DIR/test_win.conf
 
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
 # Setup the windows environment.
 # This was the best way I could figure out including library files
 # for the moment.

Modified: branches/SAMBA_4_0/source/script/tests/tests_win.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/tests_win.sh	2006-09-04 03:59:04 UTC (rev 18025)
+++ branches/SAMBA_4_0/source/script/tests/tests_win.sh	2006-09-04 04:54:20 UTC (rev 18026)
@@ -10,9 +10,14 @@
        exit 1
  fi
 
- WINTEST_CONFFILE="$SRCDIR/script/tests/win/test_win.conf"
- if [ ! -r $WINTEST_CONFFILE ]; then
-       echo "$WINTEST_CONFFILE could not be read."
+ if [ ! $WINTESTCONF ]; then
+	echo "Environment variable WINTESTCONF has not been defined."
+	echo "Windows tests will not run unconfigured."
+	exit 1
+ fi
+
+ if [ ! -r $WINTESTCONF ]; then
+       echo "$WINTESTCONF could not be read."
        exit 1
  fi
 
@@ -20,7 +25,7 @@
  export TMPDIR=$TMPDIR
  export NETBIOSNAME=$NETBIOSNAME
 
- . $WINTEST_CONFFILE
+ . $WINTESTCONF
 
  $SRCDIR/script/tests/test_win.sh
  status=$?



More information about the samba-cvs mailing list